Bug 1157255 - Review Request: ufoai - UFO: Alien Invasion strategy game [NEEDINFO]
Summary: Review Request: ufoai - UFO: Alien Invasion strategy game
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/legolegs/ufoai-rpm...
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2014-10-26 17:52 UTC by Osipov Oleg
Modified: 2018-08-08 02:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
rosser.bjr: needinfo? (legolegs)


Attachments (Terms of Use)

Description Osipov Oleg 2014-10-26 17:52:06 UTC
Spec URL: 
https://raw.githubusercontent.com/legolegs/ufoai-rpms-fedora/master/ufoai.spec
https://raw.githubusercontent.com/legolegs/ufoai-rpms-fedora/master/ufoai-data.spec
SRPM URL:
http://repos.legolegs.me/ufoai-2.5-1.fc19.R.src.rpm (23MB)
http://repos.legolegs.me/ufoai-data-2.5-2.src.rpm (1200MB)
Description:
UFO: ALIEN INVASION is a strategy game featuring tactical combat
against hostile alien forces which are about to infiltrate earth at
this very moment. You are in command of a small special unit which
has been founded to face the alien strike force. To be successful on
the long run, you will also have to have a research team study the
aliens and their technologies in order to learn as much as possible
about their technology, their goals and the aliens themselves.

Prior works:
https://bugzilla.redhat.com/show_bug.cgi?id=412001 (made by not me long time ago, denied because of copyright)

Copyright status:
Today UFO:AI is a free software. Licenses: CC-A, CC-A-SA, GPL, GNU FDL, MIT, Public Domain (see http://sourceforge.net/p/ufoai/code/ci/ufoai_2.5.0/tree/LICENSES )

Contacts: me - legolegs@yandex.ru
upstream - irc://irc.freenode.org/ufoai best time - evening in Europe

Building: I built it successfully using mock for i686 and x86_64. Compiling for other architectures should be doable but I'm unable to test it. Note: compiling maps while doable is not recommended by upstream, it is awfully slow and makes checksum issues with multiplayer. That's why the package uses prebuilt maps provided by upstream.

I am a newbie maintainer and I would appreciate any help.

Fedora Account System Username: legolegs

Comment 1 Osipov Oleg 2014-10-26 18:29:19 UTC
I must admit flaws in package. Firstly the opengl wrapper was disabled when I adopted the package. I am not sure why it was done and how important wrapper is.
Also building of documentation is disabling because (I think) making pdf leads to huuuuge build dependencies. And nobody ever reads manuals anyway :)

Please excuse me for multiposting.

Comment 2 Igor Gnatenko 2014-10-27 05:47:30 UTC
># don't use %%configure, UFOAI doesn't like default configure options
>./configure \
>	--disable-dependency-tracking \
>	--prefix=%{_prefix} \
>	--bindir=%{_bindir} \
>	--datadir=%{_datadir}/%{name} \
>	--libdir=%{_libdir}/%{name} \
>	--localedir=%{_datarootdir}/locale \
>	--disable-testall \
>	--enable-ufoded \
>	--enable-uforadiant \
>	--enable-ufo2map \
>	--enable-ufomodel \
>	--enable-release
how about %configure --enable-ufoded --enable-release..... ?

>%clean
>rm -rf %{buildroot}
and
>%defattr(-,root,root,-)
not needed

>%dir %{_datadir}/icons/hicolor/
>%dir %{_datadir}/icons/hicolor/32x32/
>%dir %{_datadir}/icons/hicolor/32x32/apps/
No, don't own this dirs. 
$ rpm -qf /usr/share/icons/hicolor/
hicolor-icon-theme-0.13-2.fc21.noarch

>Firstly the opengl wrapper was disabled when I adopted the package. I am not >sure why it was done and how important wrapper is.
If game works ok - then you can remove it. For example, teeworlds buggy without it.

># we need to use full path so %%doc does not the cleanup
>%dir %{_docdir}/%{name}-%{version}
>%doc %{_docdir}/%{name}-%{version}/README
>%doc %{_docdir}/%{name}-%{version}/COPYING
use %doc instead. for f20+ or f21+ we're using non-versioned doc dirs.

>Also building of documentation is disabling because (I think) making pdf leads >to huuuuge build dependencies. And nobody ever reads manuals anyway :)
I'd enable it. PDF is cool =)

Comment 3 Osipov Oleg 2014-10-27 07:36:07 UTC
>how about %configure --enable-ufoded --enable-release..... ?
Does not work, build.log:
+ ./configure --build=x86_64-redhat-linux-gnu <long blahblah skipped>
invalid option --build=x86_64-redhat-linux-gnu

UFO:AI does not use autotools.

>not needed
>don't own this dirs
>If game works ok - then you can remove it
Done.

>>%dir %{_docdir}/%{name}-%{version}
>>%doc %{_docdir}/%{name}-%{version}/README
>>%doc %{_docdir}/%{name}-%{version}/COPYING
>use %doc instead.
Do you mean I should replace %{_docdir}/%{name}-%{version} to %{_docdir}/%{name} all over specfile?

>>documentation
>I'd enable it. PDF is cool =)
Just checked it out. It is outdated. What a surprise ;) Better to not include it today, because not only UI has changed since the doc was written but the game mechanics itself evolved including important stuff like reaction fire.

Comment 4 Marcin Zajaczkowski 2014-10-27 09:15:08 UTC
> Also building of documentation is disabling because (I think) making pdf leads to huuuuge build dependencies. And nobody ever reads manuals anyway :)

Exactly. I disabled it when was updating Fedora build to 2.5-dev [1]. For that unofficial version documentation was optional and tetex-latex needed hundreds of sub packages (which as I experienced in the past like to be updated a few times a year).

[1] - http://ufoai.org/forum/index.php/topic,8508.0.html

Comment 5 Karel Volný 2014-10-27 12:37:52 UTC
(In reply to Osipov Oleg from comment #0)
> Copyright status:
> Today UFO:AI is a free software. Licenses: CC-A, CC-A-SA, GPL, GNU FDL, MIT,
> Public Domain (see
> http://sourceforge.net/p/ufoai/code/ci/ufoai_2.5.0/tree/LICENSES )

you have to update the License field in spec too, I think it should be like this:

License:      CC-BY and CC-BY-SA and GFDL and GPLv2 and GPLv2+ and GPLv3+ and MIT and Public Domain


*BUT* this list is missing the umefont license which has to be approved by Fedora legal at first

and while at it, the font should be unbundled (as well as others - the whole media pack in -data)


also, please change URL from http://ufoai.sourceforge.net/ to http://ufoai.org/

Comment 6 Osipov Oleg 2014-10-27 13:12:05 UTC
>umefont license which has to be approved by Fedora legal at first

Okay, here goes the text: http://sourceforge.net/p/ufoai/code/ci/ufoai_2.5.0/tree/base/media/umefont-readme_license.html

>the font should be unbundled
Not sure if I understood you right. Do you meant I need to made separate package with fonts or to make the game use system fonts?

>update the License field
>change URL
Done.

Comment 7 Karel Volný 2014-10-27 16:39:07 UTC
(In reply to Osipov Oleg from comment #6)
> >the font should be unbundled
> Not sure if I understood you right. Do you meant I need to made separate
> package with fonts or to make the game use system fonts?

the game should use system fonts and depend on those packages; some are already available (dejavu), those that aren't should be packaged in new font packages (which is the case of umefont)

I refer to this rule in the packaging guidelines:

https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages

Comment 8 Karel Volný 2014-11-06 17:14:08 UTC
so, I'll try to get the font packaged properly:

https://fedoraproject.org/wiki/Ume_fonts
https://lists.fedoraproject.org/pipermail/fonts/2014-November/001764.html

Comment 9 Ali Akcaagac 2015-12-18 21:09:00 UTC
So how about properl packaging the game as well ? Under Fedora 22 I only find the data files for client and server but no game files. Am I missing something ?

Comment 10 Karel Volný 2015-12-31 12:43:17 UTC
(In reply to Ali Akcaagac from comment #9)
> So how about properl packaging the game as well ? Under Fedora 22 I only
> find the data files for client and server but no game files. Am I missing
> something ?

well, what is missing is the manpower :-/

I got stuck with the font package because it needs the license approved, and my email to legal@ got somehow moderated out and I hadn't find the time to resolve the issue ...

meanwhile, the license got simplified, however still I'm unsure how is it treated in Fedora, so I've resent a question to legal@lists.fedoraproject.org today

also, more tweaks are needed, see the above discussion, helping hands welcome ...

Comment 11 Neal Gompa 2016-01-03 23:58:29 UTC
Your ufoai-data package spec is missing the %{?dist} tag in the Release field (like how the ufoai package spec has it).

@Karel, it seems your email got moderated out of Fedora Legal, as I don't see it in the archives[0].

The Umefont license[1] appears to be an extremely permissive license, so I don't expect it to be a problem, but that said, this font license question does need to be answered, so I'm setting FE-Legal to block it.

[0]: https://lists.fedoraproject.org/pipermail/legal/
[1]: https://osdn.jp/projects/ume-font/wiki/FrontPage#h2-Licence

Comment 12 Karel Volný 2016-01-04 17:06:59 UTC
(In reply to Neal Gompa from comment #11)
> Your ufoai-data package spec is missing the %{?dist} tag in the Release
> field (like how the ufoai package spec has it).

originally that was done on purpose, not to duplicate the same data in buildsys and on mirrors

> @Karel, it seems your email got moderated out of Fedora Legal, as I don't
> see it in the archives[0].

it seems that the archives are broken (or just late?) as I don't see anything for this January while I've already received my e-mail back from the list and also an answer from Dmitry Alexandrov

note that I also do not see any 2016's messages on e.g. test-list:
https://lists.fedoraproject.org/pipermail/test/

the archive for December suggests that it stopped on Christmas:

Starting: Sun Nov 1 03:04:30 UTC 2015
Ending: Mon Nov 23 01:00:31 UTC 2015


> The Umefont license[1] appears to be an extremely permissive license, so I
> don't expect it to be a problem, but that said, this font license question
> does need to be answered, so I'm setting FE-Legal to block it.

well, the only problem now is that I cannot find *that much* permissive licence on the list of approved

Dmitry suggested that it might be substituted with CopyrightOnly
[https://fedoraproject.org/wiki/Licensing:CopyrightOnly]

The page says "You don't have to list this if you don't want to." which would probably apply here too, but not listing any license in the spec is considered blocker these days if I recall correctly ...

Comment 13 Neal Gompa 2016-01-22 07:12:49 UTC
(In reply to Karel Volný from comment #12)
> (In reply to Neal Gompa from comment #11)
> > Your ufoai-data package spec is missing the %{?dist} tag in the Release
> > field (like how the ufoai package spec has it).
> 
> originally that was done on purpose, not to duplicate the same data in
> buildsys and on mirrors
> 
> > @Karel, it seems your email got moderated out of Fedora Legal, as I don't
> > see it in the archives[0].
> 
> it seems that the archives are broken (or just late?) as I don't see
> anything for this January while I've already received my e-mail back from
> the list and also an answer from Dmitry Alexandrov
> 
> note that I also do not see any 2016's messages on e.g. test-list:
> https://lists.fedoraproject.org/pipermail/test/
> 
> the archive for December suggests that it stopped on Christmas:
> 
> Starting: Sun Nov 1 03:04:30 UTC 2015
> Ending: Mon Nov 23 01:00:31 UTC 2015
> 
> 
> > The Umefont license[1] appears to be an extremely permissive license, so I
> > don't expect it to be a problem, but that said, this font license question
> > does need to be answered, so I'm setting FE-Legal to block it.
> 
> well, the only problem now is that I cannot find *that much* permissive
> licence on the list of approved
> 
> Dmitry suggested that it might be substituted with CopyrightOnly
> [https://fedoraproject.org/wiki/Licensing:CopyrightOnly]
> 
> The page says "You don't have to list this if you don't want to." which
> would probably apply here too, but not listing any license in the spec is
> considered blocker these days if I recall correctly ...

I just saw your email thread in Fedora Legal about the Umefont license[0]. Have you received a sufficient answer for packaging it yet?

[0]: https://lists.fedoraproject.org/archives/list/legal%40lists.fedoraproject.org/thread/VEPUXYCFJG6XSLPJHDBDH5NUXSWAEH2I/

Comment 14 Karel Volný 2016-01-22 12:45:11 UTC
(In reply to Neal Gompa from comment #13)
> I just saw your email thread in Fedora Legal about the Umefont license[0].
> Have you received a sufficient answer for packaging it yet?
> 
> [0]:
> https://lists.fedoraproject.org/archives/list/legal%40lists.fedoraproject.
> org/thread/VEPUXYCFJG6XSLPJHDBDH5NUXSWAEH2I/

I'm not sure ... I can try go with that and sort it out with the reviewer

I'll try to submit the review request ASAP (feel free to ping me if it feels too long :-))

Comment 15 Marcin Zajaczkowski 2016-01-22 15:45:08 UTC
Btw, as a additional encouragement to make it a part of the official Fedora repository there is already an offer to donate $30 as a thank you :)
http://ufoai.org/forum/index.php/topic,8932.0.html

Comment 16 Karel Volný 2016-01-22 17:44:27 UTC
(In reply to Karel Volný from comment #14)
> I'll try to submit the review request ASAP (feel free to ping me if it feels
> too long :-))

ok, I've found some time today ... bug #1301144

Comment 17 Ben Rosser 2016-07-24 02:35:15 UTC
It looks like the font issue has been resolved-- does that mean this review can proceed? Are you in need of a reviewer?

Comment 18 Osipov Oleg 2016-07-24 16:56:16 UTC
Yes I do need a reviewer and/or a sponsor. I need to cut out Umefont from the package though.

Comment 19 Sergio Monteiro Basto 2016-11-20 01:08:22 UTC
Hi,

(In reply to Karel Volný from comment #10) 
> meanwhile, the license got simplified, however still I'm unsure how is it
> treated in Fedora, so I've resent a question to
> legal@lists.fedoraproject.org today

first it accepted by Fedora legal or not ?

Comment 20 Karel Volný 2017-03-08 15:46:53 UTC
(In reply to Sergio Monteiro Basto from comment #19)
> (In reply to Karel Volný from comment #10) 
> > meanwhile, the license got simplified, however still I'm unsure how is it
> > treated in Fedora, so I've resent a question to
> > legal@lists.fedoraproject.org today
> 
> first it accepted by Fedora legal or not ?

yep, the fonts are in Fedora already

ping, is there anyone having some spare time to continue with this?

Comment 21 Tom "spot" Callaway 2017-06-26 15:29:13 UTC
Removing FE-Legal block here. Font is "mplus" licensed.

Comment 22 Ben Rosser 2017-08-23 00:59:37 UTC
I have some spare time; what is it that needs to be done to continue this? I would be happy to review, but it sounds like the submission itself needs to be modified first to depend on the system copy of horai-ume-fonts?

Comment 23 Karel Volný 2018-07-30 08:56:12 UTC
(In reply to Ben Rosser from comment #22)
> I have some spare time; what is it that needs to be done to continue this? I
> would be happy to review, but it sounds like the submission itself needs to
> be modified first to depend on the system copy of horai-ume-fonts?

oops, sorry for missing this

please get back to comment #7, it's not just horai-ume-fonts

also please review comment #2 if everything had been resolved

and most important, find someone really interested in this to cooperate with you, either taking the packager or reviewer roles

I'm not going to touch this anymore -

https://ufoai.org/forum/index.php/topic,9156.0.html

Comment 24 Sergio Monteiro Basto 2018-07-30 16:10:07 UTC
So without modification, ufoai still not free ? 

Meanwhile we may update ufoai to 2.5 in Rpmfusion , in last mass rebuild I notice that ufoai was never built successfully in new infrastructure [1] and still in version 2.4 ! 

[1]
http://koji.rpmfusion.org/koji/packageinfo?packageID=417

Comment 25 Marcin Zajaczkowski 2018-07-30 18:29:41 UTC
@Sergio, I packaged 2.5 (then "DEV") for Fedora - https://ufoai.org/forum/index.php/topic,8508.0.html . It might be somehow useful for you to update the rpmfusion version (nevertheless it was almost 5 years ago, in the moment when I wanted to play UFOAI once again after a few years of break, there could have benn many changes in since then).

Comment 26 Ben Rosser 2018-07-30 20:29:54 UTC
@Karel: okay, understood. 

Since the submitter has not responded to a couple pings, I propose that this ticket be closed in accordance with the stalled review policy.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

@Sergio: I thought the RPM Fusion ufoai package was orphaned/retired, actually. I was surprised to see it in your list of FTFBS packages. :(

Probably it should be retired from RPM Fusion, and someone should write a new, clean 2.5 spec written for Fedora, with the fonts properly unbundled?

I'd be happy to review. (I would submit the package myself, but I've been pretty busy lately and I'm not sure I will have the time in the near future).

Comment 27 Sergio Monteiro Basto 2018-07-30 20:53:49 UTC
Meanwhile somebody unbundled fonts properly (and I think I read that is more stuff), I could update it in RPMFusion .
Unfortunately infrastructure of RPMFusion can't handle with 1 GByte of data, we need to think in one solution for end user download data from other place , for example using lpf.

Comment 28 Ben Rosser 2018-08-08 00:25:05 UTC
Well... I have gone through ufoai.spec and cleaned it up, modernizing and fixing some things.

In particular I patched the configure script so that it does not fail when it receives unrecognized options, meaning that the %configure macro can be used.

I then had to do some work to get the package to build at all; the biggest thing that worries me is that I had to add -Wno-narrowing to CFLAGS to get things to compile, which maybe isn't okay.

I have yet to take a detailed look at the ufoai-data package, but I am assuming the issue with unbundling things is that all the data files are compressed into .pk3 archives, so the pk3s would need to be extracted, content unbundled, and then re-packed.

I am not sure if this is worth it, honestly, especially given the more lenient bundling guidelines of the present day. Since we know that horai-ume-fonts has been approved by Fedora Legal, I don't know if there's really a problem with keeping it in this package anymore. I don't particularly feel motivated to do it, anyway.

But I will post the updated specs somewhere.

Comment 29 Ben Rosser 2018-08-08 02:41:48 UTC
Actually, on further thought, I do not believe it makes sense for ufoai and ufoai-data to be separate source packages. This makes the directory ownership logic simpler-- if all the packages (data and data-server) included can depend on ufoai-common, ufoai-common can own /usr/share/ufoai and /usr/share/ufoai/base.

I'm guessing this separation predated noarch subpackages?

The licensing needs to be checked carefully, and I have not done that (I don't know if the License: tag breakdown that was in the spec is accurate). And a decision needs to be reached on unbundling. So I'm not proposing this for review. But you can grab my revised spec here:

https://tc01.fedorapeople.org/ufoai/ufoai.spec

A patch from Osipov is mirrored here, along with my configure script patch:

https://tc01.fedorapeople.org/ufoai/ufoai-2.5-desktop-files.patch
https://tc01.fedorapeople.org/ufoai/ufoai-configure-invalid-option.patch

And a SRPM of ufoai 2.5 is here:

https://tc01.fedorapeople.org/ufoai/ufoai-2.5-3.fc28.src.rpm

If I feel sufficiently motivated to double-check all the licensing and look at the bundling over the next few days, I might even submit a new review request.


Note You need to log in before you can comment on or make changes to this bug.